Index: main/plugin-survey/stylesheets/survey2html.xsl
===================================================================
--- main/plugin-survey/stylesheets/survey2html.xsl	(revision 45795)
+++ main/plugin-survey/stylesheets/survey2html.xsl	(working copy)
@@ -18,7 +18,8 @@
 							  xmlns:math="java.lang.Math" 
                               xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
                               xmlns:ametys="org.ametys.web.transformation.xslt.AmetysXSLTHelper"
-                              extension-element-prefixes="math ametys">
+                              xmlns:resolver="org.ametys.cms.transformation.xslt.ResolveURIComponent"
+                              extension-element-prefixes="math ametys resolver">
 
 	<xsl:import href="plugin:core://stylesheets/helper/text.xsl"/>
 	<xsl:import href="view://stylesheets/utils.xsl"/>
@@ -125,6 +126,16 @@
 
 	<xsl:template name="start-page">
 		<div class="start" id="survey-{$uniqueId}-start-page">
+			<xsl:call-template name="picture" >
+                <xsl:with-param name="class" select="'survey-picture'" />
+                <xsl:with-param name="imageType" select="survey/picture/@imageType" />
+                <xsl:with-param name="pictureType" select="survey/picture/@pictureType" />
+                <xsl:with-param name="pictureId" select="survey/picture/@pictureId" />
+                <xsl:with-param name="picturePath" select="survey/picture/@picturePath" />
+                <xsl:with-param name="pictureAlternative" select="survey/pictureAlternative" />
+                <xsl:with-param name="idObject" select="survey/@id" />
+            </xsl:call-template>  
+
 			<xsl:if test="survey/description != ''">
 				<p class="survey-hint">
 					<xsl:call-template name="text.nl2br">
@@ -220,6 +231,16 @@
 				</xsl:element>
 			</xsl:if>
 			
+			<xsl:call-template name="picture" >
+                <xsl:with-param name="class" select="'survey-page-picture'" />
+                <xsl:with-param name="imageType" select="picture/@imageType" />
+                <xsl:with-param name="pictureType" select="picture/@pictureType" />
+                <xsl:with-param name="pictureId" select="picture/@pictureId" />
+                <xsl:with-param name="picturePath" select="picture/@picturePath" />
+                <xsl:with-param name="pictureAlternative" select="pictureAlternative" />
+                <xsl:with-param name="idObject" select="@id" />
+            </xsl:call-template>  
+			
 			<xsl:if test="description != ''">
 				<p class="survey-page-hint">
 					<xsl:call-template name="text.nl2br">
@@ -320,6 +341,15 @@
 						<xsl:if test="@mandatory = 'true'"><span class="mandatory-marker"><xsl:text> </xsl:text><i18n:text i18n:key="PLUGINS_WEB_FRONTOFICE_MANDATORY_FIELD" i18n:catalogue="plugin.web"/></span></xsl:if>
 					</label>
 				</div>
+                <xsl:call-template name="picture" >
+                    <xsl:with-param name="class" select="'question-picture text-picture'" />
+                    <xsl:with-param name="imageType" select="picture/@imageType" />
+                    <xsl:with-param name="pictureType" select="picture/@pictureType" />
+                    <xsl:with-param name="pictureId" select="picture/@pictureId" />
+                    <xsl:with-param name="picturePath" select="picture/@picturePath" />
+                    <xsl:with-param name="pictureAlternative" select="pictureAlternative" />
+                    <xsl:with-param name="idObject" select="@id" />
+                </xsl:call-template>  	    
 				<div class="input">	
 					<input type="text" name="{@name}" id="{@name}_{$uniqueId}" class="text"/>
 				</div>
@@ -330,13 +360,22 @@
 	
 	<xsl:template match="question[@type = 'MULTILINE_FREE_TEXT']">
 		<div class="question" id="survey-{$uniqueId}-q-{@name}">
-			<div class="field">
+            <div class="field">
 				<div class="label">
 					<label for="{@name}_{$uniqueId}">
 						<span class="q">Q.<xsl:value-of select="count(preceding::question) + 1"/> - </span><xsl:value-of select="title"/>
 						<xsl:if test="@mandatory = 'true'"><span class="mandatory-marker"><xsl:text> </xsl:text><i18n:text i18n:key="PLUGINS_WEB_FRONTOFICE_MANDATORY_FIELD" i18n:catalogue="plugin.web"/></span></xsl:if>
 					</label>
 				</div>
+    			<xsl:call-template name="picture" >
+                    <xsl:with-param name="class" select="'question-picture textarea-picture'" />
+                    <xsl:with-param name="imageType" select="picture/@imageType" />
+                    <xsl:with-param name="pictureType" select="picture/@pictureType" />
+                    <xsl:with-param name="pictureId" select="picture/@pictureId" />
+                    <xsl:with-param name="picturePath" select="picture/@picturePath" />
+                    <xsl:with-param name="pictureAlternative" select="pictureAlternative" />
+                    <xsl:with-param name="idObject" select="@id" />
+                </xsl:call-template>           
 				<div class="input">	
 					<textarea name="{@name}" id="{@name}_{$uniqueId}" rows="3" cols="10"></textarea>
 				</div>
@@ -347,37 +386,49 @@
 	
 	<xsl:template match="question[@type = 'SINGLE_CHOICE']">
 		<div class="question" id="survey-{$uniqueId}-q-{@name}">
-			<fieldset>
+            <fieldset>
 				<legend>
 					<span class="q">Q.<xsl:value-of select="count(preceding::question) + 1"/> - </span><xsl:value-of select="title"/>
 					<xsl:if test="@mandatory = 'true'"><span class="mandatory-marker"><xsl:text> </xsl:text><i18n:text i18n:key="PLUGINS_WEB_FRONTOFICE_MANDATORY_FIELD" i18n:catalogue="plugin.web"/></span></xsl:if>
 				</legend>
 				
-				<xsl:variable name="name" select="@name"/>
-				<xsl:for-each select="options/option">
-					<div class="field">
-						<div class="input">
-							<input type="radio" id="{translate($name, ' ', '_')}_{@value}" name="{$name}" value="{@value}"/>
-						</div>
-						<div class="label">
-							<label for="{translate($name, ' ', '_')}_{@value}"><xsl:value-of select="."/></label>
-						</div>
-						<div class="field-end"/>
-					</div>
-				</xsl:for-each>
-				<xsl:if test="options/@other-option = 'true'">
-					<xsl:variable name="val">__internal_other</xsl:variable>
-					<div class="field">
-						<div class="input">
-							<input type="radio" id="{translate($name, ' ', '_')}_{$val}" name="{$name}" value="{$val}"/>
+				<xsl:call-template name="picture" >
+                    <xsl:with-param name="class" select="'question-picture single-choice-picture'" />
+                    <xsl:with-param name="imageType" select="picture/@imageType" />
+                    <xsl:with-param name="pictureType" select="picture/@pictureType" />
+                    <xsl:with-param name="pictureId" select="picture/@pictureId" />
+                    <xsl:with-param name="picturePath" select="picture/@picturePath" />
+                    <xsl:with-param name="pictureAlternative" select="pictureAlternative" />
+                    <xsl:with-param name="idObject" select="@id" />
+                </xsl:call-template>
+                   
+				<div class="fields">         
+					<xsl:variable name="name" select="@name"/>
+					<xsl:for-each select="options/option">
+						<div class="field">
+							<div class="input">
+								<input type="radio" id="{translate($name, ' ', '_')}_{@value}" name="{$name}" value="{@value}"/>
+							</div>
+							<div class="label">
+								<label for="{translate($name, ' ', '_')}_{@value}"><xsl:value-of select="."/></label>
+							</div>
+							<div class="field-end"/>
 						</div>
-						<div class="label">
-							<label for="{translate($name, ' ', '_')}_{$val}"><i18n:text i18n:key="PLUGINS_SURVEY_OTHER_OPTION"/></label>
-							<input type="text" name="__internal_other_{$name}" onkeyup="survey_otheropt_onkeyup(this, '{translate($name, ' ', '_')}_{$val}')"/>
+					</xsl:for-each>
+					<xsl:if test="options/@other-option = 'true'">
+						<xsl:variable name="val">__internal_other</xsl:variable>
+						<div class="field">
+							<div class="input">
+								<input type="radio" id="{translate($name, ' ', '_')}_{$val}" name="{$name}" value="{$val}"/>
+							</div>
+							<div class="label">
+								<label for="{translate($name, ' ', '_')}_{$val}"><i18n:text i18n:key="PLUGINS_SURVEY_OTHER_OPTION"/></label>
+								<input type="text" name="__internal_other_{$name}" onkeyup="survey_otheropt_onkeyup(this, '{translate($name, ' ', '_')}_{$val}')"/>
+							</div>
+							<div class="field-end"/>
 						</div>
-						<div class="field-end"/>
-					</div>
-				</xsl:if>
+					</xsl:if>
+				</div>
 			</fieldset>
 		</div>
 		
@@ -419,37 +470,49 @@
 	
 	<xsl:template match="question[@type = 'MULTIPLE_CHOICE']">
 		<div class="question" id="survey-{$uniqueId}-q-{@name}">
-			<fieldset>
+            <fieldset>
 				<legend>
 					<span class="q">Q.<xsl:value-of select="count(preceding::question) + 1"/> - </span><xsl:value-of select="title"/>
 					<xsl:if test="@mandatory = 'true'"><span class="mandatory-marker"><xsl:text> </xsl:text><i18n:text i18n:key="PLUGINS_WEB_FRONTOFICE_MANDATORY_FIELD" i18n:catalogue="plugin.web"/></span></xsl:if>
 				</legend>
 			
-				<xsl:variable name="name" select="@name"/>
-				<xsl:for-each select="options/option">
-					<div class="field">
-						<div class="input">
-							<input type="checkbox" name="{$name}" id="{translate($name, ' ', '_')}_{@value}" value="{@value}"/>
-						</div>
-						<div class="label">
-							<label for="{translate($name, ' ', '_')}_{@value}"><xsl:value-of select="."/></label>
-						</div>
-						<div class="field-end"/>
-					</div>
-				</xsl:for-each>
-				<xsl:if test="options/@other-option = 'true'">
-					<xsl:variable name="val">__internal_other</xsl:variable>
-					<div class="field">
-						<div class="input">
-							<input type="checkbox" id="{translate($name, ' ', '_')}_{$val}" name="{$name}" value="{$val}"/>
+			    <xsl:call-template name="picture" >
+                    <xsl:with-param name="class" select="'question-picture multiple-choice-picture'" />
+                    <xsl:with-param name="imageType" select="picture/@imageType" />
+                    <xsl:with-param name="pictureType" select="picture/@pictureType" />
+                    <xsl:with-param name="pictureId" select="picture/@pictureId" />
+                    <xsl:with-param name="picturePath" select="picture/@picturePath" />
+                    <xsl:with-param name="pictureAlternative" select="pictureAlternative" />
+                    <xsl:with-param name="idObject" select="@id" />
+                </xsl:call-template>
+                  
+                <div class="fields"> 
+					<xsl:variable name="name" select="@name"/>
+					<xsl:for-each select="options/option">
+						<div class="field">
+							<div class="input">
+								<input type="checkbox" name="{$name}" id="{translate($name, ' ', '_')}_{@value}" value="{@value}"/>
+							</div>
+							<div class="label">
+								<label for="{translate($name, ' ', '_')}_{@value}"><xsl:value-of select="."/></label>
+							</div>
+							<div class="field-end"/>
 						</div>
-						<div class="label">
-							<label for="{translate($name, ' ', '_')}_{$val}"><i18n:text i18n:key="PLUGINS_SURVEY_OTHER_OPTION"/></label>
-							<input type="text" name="__internal_other_{$name}" onkeyup="survey_otheropt_onkeyup(this, '{translate($name, ' ', '_')}_{$val}')"/>
+					</xsl:for-each>
+					<xsl:if test="options/@other-option = 'true'">
+						<xsl:variable name="val">__internal_other</xsl:variable>
+						<div class="field">
+							<div class="input">
+								<input type="checkbox" id="{translate($name, ' ', '_')}_{$val}" name="{$name}" value="{$val}"/>
+							</div>
+							<div class="label">
+								<label for="{translate($name, ' ', '_')}_{$val}"><i18n:text i18n:key="PLUGINS_SURVEY_OTHER_OPTION"/></label>
+								<input type="text" name="__internal_other_{$name}" onkeyup="survey_otheropt_onkeyup(this, '{translate($name, ' ', '_')}_{$val}')"/>
+							</div>
+							<div class="field-end"/>
 						</div>
-						<div class="field-end"/>
-					</div>
-				</xsl:if>
+					</xsl:if>
+			     </div>
 			</fieldset>
 		</div>
 		
@@ -493,14 +556,23 @@
 		<xsl:variable name="multiple" select="@type = 'MULTIPLE_MATRIX'"/>
 	
 		<div class="question" id="survey-{$uniqueId}-q-{@name}">
-			<fieldset>
+            <fieldset>
 				<legend>
 					<span class="q">Q.<xsl:value-of select="count(preceding::question) + 1"/> - </span><xsl:value-of select="title"/>
 					<xsl:if test="@mandatory = 'true'"><span class="mandatory-marker"><xsl:text> </xsl:text><i18n:text i18n:key="PLUGINS_WEB_FRONTOFICE_MANDATORY_FIELD" i18n:catalogue="plugin.web"/></span></xsl:if>
 				</legend>
 				
+				<xsl:call-template name="picture" >
+				    <xsl:with-param name="class" select="'question-picture matrix-picture'" />
+                    <xsl:with-param name="imageType" select="picture/@imageType" />
+				    <xsl:with-param name="pictureType" select="picture/@pictureType" />
+				    <xsl:with-param name="pictureId" select="picture/@pictureId" />
+                    <xsl:with-param name="picturePath" select="picture/@picturePath" />
+                    <xsl:with-param name="pictureAlternative" select="pictureAlternative" />
+                    <xsl:with-param name="idObject" select="@id" />
+                </xsl:call-template>
+                
 				<xsl:variable name="name" select="@name"/>
-				
 				<div class="field">
 
 					<table>
@@ -599,4 +671,32 @@
 			errors.push({label: "<xsl:value-of select="title"/>", message: msg});
 		}
 	</xsl:template>
+	
+	<xsl:template name="picture">
+	   <xsl:param name="class" />
+       <xsl:param name="imageType" />
+	   <xsl:param name="pictureType" />
+	   <xsl:param name="pictureId" />
+       <xsl:param name="picturePath" />
+       <xsl:param name="pictureAlternative" />
+       <xsl:param name="idObject" />
+       <xsl:if test="$pictureType != ''">
+            <div class="{$class}">
+                <xsl:variable name="id">
+                    <xsl:choose>
+                        <xsl:when test="$pictureType = 'resource'">
+                            <xsl:value-of select="$pictureId"/>
+                        </xsl:when>
+                        <xsl:when test="$pictureType = 'external'">
+                            <xsl:value-of select="concat($picturePath, '?objectId=', $idObject)"/>
+                        </xsl:when>
+                    </xsl:choose>
+                </xsl:variable>
+                <img src="{resolver:resolveBoundedImage($imageType, $id, 100, 100)}">
+                    <xsl:attribute name="alt"><xsl:value-of select="$pictureAlternative"/></xsl:attribute>
+                </img>
+            </div>
+        </xsl:if>
+	</xsl:template>
+	
 </xsl:stylesheet>
